> For the complete documentation index, see [llms.txt](https://docs.nuvolos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nuvolos.com/reference/file-system-and-storage/access-remote-files-with-sshfs.md).

# Access remote files with SSHFS

In Nuvolos Applications, you can access files stored on your server via a secure SSH connection and use them as if they were on the file system of the Nuvolos Application.

## Create a personal SSH key

To be able to authenticate with your server using SSH, you will need to create an SSH key in Nuvolos and add the generated public key to the `authorized_keys` file on your server to accept the newly generated SSH key. Under Linux systems, the file is usually located under `~/.ssh/authorized_keys` .

1. In the Nuvolos web UI, go to **User Settings → SSH Keys**.
2. Click **+ GENERATE SSH KEY**.
3. Add the generated public key to your server.

Nuvolos automatically tries all of your SSH keys when using SSHFS.

## Create a shared SSH key

To use the same SSH key for connecting from a specific Space with different users, use the [space secrets](/reference/configuration/environment-variables-and-secrets.md#space-secrets) feature. Set secrets with the following names - they are tried as private keys during the SSHFS connection phase:

* id\_rsa
* id\_dsa
* id\_ecdsa

{% hint style="info" %}
The key type does not need to match the filename (e.g. a RSA key can be put under id\_dsa), but it's important to use all lowercase for the above names. Also, make sure to add a **trailing new line** after the -----END OPENSSH PRIVATE KEY---— line when setting the secret.
{% endhint %}

## Configure connection environment variables

Next, set the following environment variables, either on a user level in your [Nuvolos user settings](https://app.nuvolos.cloud/user/settings/env-vars) or on a space/organization level in the space/organization settings:

* `SSHFS_USER`: The username to use when connecting with the remote host. (default: Nuvolos username)
* `SSHFS_PORT`: The port to connect on to the remote host. (default: 22)
* `SSHFS_SERVER`: The SSH server Nuvolos applications will connect to.
* `SSHFS_REMOTE_PATH`: The path on the remote SSH server to be mounted. Use full path and avoid \~ as it will be expanded on Nuvolos, not the remote.

## Debugging SSHFS connection

For verbose troubleshooting, set `SSHFS_DEBUG=1`. This enables detailed logging in the SSHFS sidecar; check the session logs to troubleshoot.

## Enable the SSHFS add-on

Enable the SSHFS add-on on the Application configuration screen. Restart the Application for changes to take effect.

Files from the remote server are accessible under `/sshfs`. To use a different path, contact Nuvolos support.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nuvolos.com/reference/file-system-and-storage/access-remote-files-with-sshfs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
